Documentation

Years

List all OKR years

Returns all OKR years for the authenticated user with objective count and overall progress

ProductionStagingUAT
GEThttps://ankiren.com/api/me/okr

Responses

200 · List of OKR years with summary

  • years[OkrYearSummary]
    • idinteger
    • userIdstring
    • yearinteger

      Calendar year

    • themestring?

      Optional theme for the year

    • status"active" | "completed" | "cancelled"

      Status of the OKR item

    • createdAtstring<date-time>
      format: date-time
    • updatedAtstring<date-time>
      format: date-time
    • objectiveCountinteger

      Number of objectives

    • progressinteger

      Overall progress percentage

      min: 0max: 100
application/json
{
  "years": [
    {
      "id": 0,
      "userId": "string",
      "year": 0,
      "theme": "string",
      "status": "active",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "objectiveCount": 0,
      "progress": 0
    }
  ]
}

Sample Code

Đổi ngôn ngữ ở ô Language trên thanh Documentation.

cURL
curl -X GET 'https://ankiren.com/api/me/okr' \
  -H 'Authorization: Bearer <token>' \
  -H 'Accept: application/json'